Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPiecewiseFunctionSource Class Reference

`#include <vtkPiecewiseFunctionSource.h>`

Inheritance diagram for vtkPiecewiseFunctionSource:

[legend]
Collaboration diagram for vtkPiecewiseFunctionSource:

[legend]
List of all members.

## Detailed Description

abstract class whose subclasses generate piecewise functions

Date:
  2002/10/04 20:43:44

Revision:
  1.3

vtkPiecewiseFunctionSource is an abstract class whose subclasses generate piecewise functions

Created by:
  - Henderson, Amy

CVS contributions (if > 5%):
  - Henderson, Amy (74%)
  - Cedilnik, Andy (19%)
  - Biddiscombe, John (6%)

CVS logs (CVSweb):
  - .`cxx` (`/Filtering/vtkPiecewiseFunctionSource.cxx)`
  - .`h` (`/Filtering/vtkPiecewiseFunctionSource.h)`

Definition at line 45 of file vtkPiecewiseFunctionSource.h.

## Public Types
typedef vtkSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
vtkPiecewiseFunction * | GetOutput ()
vtkPiecewiseFunction * | GetOutput (int idx)
void | SetOutput (vtkPiecewiseFunction *output)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkPiecewiseFunctionSource * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkPiecewiseFunctionSource ()
| ~vtkPiecewiseFunctionSource ()

## Member Typedef Documentation

typedef vtkSource vtkPiecewiseFunctionSource::Superclass

| Reimplemented from vtkSource. Reimplemented in vtkPiecewiseFunctionShiftScale, and vtkPiecewiseFunctionToPiecewiseFunctionFilter. Definition at line 48 of file vtkPiecewiseFunctionSource.h.

## Constructor & Destructor Documentation

vtkPiecewiseFunctionSource::vtkPiecewiseFunctionSource | ( |  | ) | `[protected]`

vtkPiecewiseFunctionSource::~vtkPiecewiseFunctionSource | ( |  | ) | `[inline, protected]`

| Definition at line 60 of file vtkPiecewiseFunctionSource.h.

## Member Function Documentation

virtual const char* vtkPiecewiseFunctionSource::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkSource. Reimplemented in vtkPiecewiseFunctionShiftScale, and vtkPiecewiseFunctionToPiecewiseFunctionFilter.

int vtkPiecewiseFunctionSource::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkSource. Reimplemented in vtkPiecewiseFunctionShiftScale, and vtkPiecewiseFunctionToPiecewiseFunctionFilter.

virtual int vtkPiecewiseFunctionSource::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkSource. Reimplemented in vtkPiecewiseFunctionShiftScale, and vtkPiecewiseFunctionToPiecewiseFunctionFilter.

vtkPiecewiseFunctionSource* vtkPiecewiseFunctionSource::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkSource. Reimplemented in vtkPiecewiseFunctionShiftScale, and vtkPiecewiseFunctionToPiecewiseFunctionFilter.

void vtkPiecewiseFunctionSource::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkSource. Reimplemented in vtkPiecewiseFunctionShiftScale, and vtkPiecewiseFunctionToPiecewiseFunctionFilter.

vtkPiecewiseFunction* vtkPiecewiseFunctionSource::GetOutput | ( |  | ) |

| Get the output of this source.

vtkPiecewiseFunction* vtkPiecewiseFunctionSource::GetOutput | ( | int | idx | ) |

| Get the output of this source. Reimplemented from vtkSource.

void vtkPiecewiseFunctionSource::SetOutput | ( | vtkPiecewiseFunction * | output | ) |

| Get the output of this source.

The documentation for this class was generated from the following file:

- Filtering/vtkPiecewiseFunctionSource.h